
<?php
ini_set("max_execution_time", 5000);
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_pagepiutang');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>

<style type="text/css">
    blink, .blink {
        -webkit-animation: blink 1s step-end infinite;
        -moz-animation: blink 1s step-end infinite;
        -o-animation: blink 1s step-end infinite;
        animation: blink 1s step-end infinite;
    }

    @-webkit-keyframes blink {
        67% { opacity: 0 }
    }

    @-moz-keyframes blink {
        67% { opacity: 0 }
    }

    @-o-keyframes blink {
        67% { opacity: 0 }
    }

    @keyframes blink {
        67% { opacity: 0 }
    }
</style>
<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <b style="font-family: monospace;"><i class="glyph-icon icon-check-square-o"></i> Form Page Piutang <?= $jenisobjek ?></b>
                </h4>
                <div class="text-right"><a href="<?= $this->url() . '/piutang' ?>" class="btn btn-sm btn-danger">Batal</a></div>
            </div>
            <div class="panel-body">
                <div class="col-md-12">
                    <p class="alert alert-warning"><b>Perhatian :</b> * Pastikan Jumlah Objek WP yang ditetapkan tidak lebih dari <strong>300</strong> item / objek.</p>
                </div>
                <div class="example-box-wrapper">
                    <?= $this->form()->openTag($form) ?>
                    <div class="row">
                        <div class="col-sm-12">
                            <label class="col-sm-3 control-label" style="text-align: left">Jenis Objek</label>
                            <div class="col-sm-4">
                                <?= $this->formHidden($form->get("t_jenispajak")->setValue($page)) ?>
                                <select class="form-control" id="t_jenisobjek" name="t_jenisobjek" onchange="calldatagrid()">
                                    <option value="">Pilih Semua</option>
                                    <?php
                                    $nomor = 1;
                                    foreach ($ar_objek as $row) {
                                        echo '<option value="' . $row['s_idjenis'] . '">' . $nomor++ . ' - ' . $row['s_namajenis'] . '</option>';
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-3 control-label" style="text-align: left">Tahun Piutang</label>
                            <div class="col-sm-2">
                                <?= $this->formText($form->get("t_tahunpiutang")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-3 control-label" style="text-align: left">Tgl.Penetapan Piutang</label>
                            <div class="col-sm-2">
                                <?= $this->formText($form->get("t_tglpiutang")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="example-box-wrapper">
                        <p class="alert alert-notice"><strong style="color:red;">Jumlah Objek WP yang akan ditetapkan Piutang Sebanyak <span id="count"></span> Item</strong></p>
                        <div style="overflow: auto">
                            <div class="scroll-columns">
                                <table class="table table-condensed table-bordered cf tableBelumLapor" id="table-patient-time" style="font-size: 11px; color: black;">
                                    <thead class="cf" style="background-color: blue">
                                        <tr class="bg-blue">
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                No.
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                No. Piutang
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                Kode Bayar
                                            </th> 
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                NPWPD/RD
                                            </th> 
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                Nama WP/WR
                                            </th>         
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                NIOP/OR
                                            </th>       
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                Nama Objek
                                            </th>   
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                Alamat Objek
                                            </th>   
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                Jenis Objek
                                            </th>   
                                        </tr>
                                    </thead>
                                    <tbody id="body_grid"></tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="bg-default" id="tombolsimpan">
                        <?= $this->formInput($form->get('Piutangsubmit')) ?> 
                    </div>
                    <?= $this->form()->closeTag($form) ?>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="loading-spinner" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
    <!--<span style="color:#FFF;">Mohon Tunggu....</span>-->
</div>
<script>
    $('#Piutangsubmit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#loading-spinner').modal('show');
                }
            }
        };
    });

    $(function () {
        calldatagrid();
    });

    function calldatagrid() {
        $.post('<?= $this->url() ?>/dataGridTetapPiutang', {
            t_jenispajak: $('#t_jenispajak').val(),
            t_jenisobjek: $('#t_jenisobjek').val(),
            t_tahunpiutang: $('#t_tahunpiutang').val()
        }, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid").html(aa.grid);
            $("#count").html(aa.count);
        });
    }
</script>
